Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class MapElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.MapElement

public class MapElement
extends MultiPartElement

This class supports Netscape client-side image maps. A MapElement is built by adding AreaElements to it. AreaElements in a MapElement are accessible by index position.

Version:
  2.1
Author:
  Copyright (c) 1996 by WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `AreaElement`, `ImageElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`MapElement(java.lang.String name)` Deprecated. Constructs a MapElement and sets its name attribute.

Method Summary
`MapElement` | `addElement(AreaElement area)` Deprecated. Adds the specified AreaElement to a MapElement.
`AreaElement` | `getElement(int pos)` Deprecated. Returns the AreaElement at the specified index position.
`AreaElement` | `getElementAt(int pos)` Deprecated. Returns the AreaElement at the specified index position.
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printBody()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`protected boolean` | `printEndingTag()` Deprecated.
`MapElement` | `setName(java.lang.String name)` Deprecated. Sets the NAME attribute for a MapElement.

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapElement

    public MapElement(java.lang.String name)

  Deprecated.
  Constructs a MapElement and sets its name attribute.

  Parameters:
    `name` - Value for the NAME attribute

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printBody

    protected boolean printBody()

  Deprecated.

  Overrides:
    printBody in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### printEndingTag

    protected boolean printEndingTag()

  Deprecated.

  Overrides:
    printEndingTag in class ElementWithAttributes

### setName

    public MapElement setName(java.lang.String name)

  Deprecated.
  Sets the NAME attribute for a MapElement.

### addElement

    public MapElement addElement(AreaElement area)

  Deprecated.
  Adds the specified AreaElement to a MapElement.

  Parameters:
    `area` - AreaElement object
  Returns:
    MapElement object

### getElement

    public AreaElement getElement(int pos)

  Deprecated.
  Returns the AreaElement at the specified index position.

  Parameters:
    `pos` - Position in the MapElement
  Returns:
    AreaElement object

### getElementAt

    public AreaElement getElementAt(int pos)

  Deprecated.
  Returns the AreaElement at the specified index position.

  Parameters:
    `pos` - Position in the MapElement
  Returns:
    AreaElement object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD